Bug 125593 - Unable to enter certain Chinese characters
Unable to enter certain Chinese characters
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iiimf-le-inpinyin (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-06-09 02:50 EDT by Chong Kai Xiong
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 23:16:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chong Kai Xiong 2004-06-09 02:50:02 EDT
Description of problem:
iiimf-le-inpinyin does not output the common Chinese character hai(还)
and possibly others.

Version-Release number of selected component (if applicable):
iiimf-le-inpinyin-0.3-2

How reproducible:
Always

Steps to Reproduce:
1. Run a GTK2 app using the IIIMF immodule.
2. Enter 'hai' and select '还’ (usually 1st choice).

Actual Results:
On completing selection of the character, the preedit region
disappears, but nothing is shown in the input widget. Any further
input will not activate the preedit region until Escape is pressed or
the LE is switched away and back.

Expected Results:
Character should appear and further input should activate the preedit
region as per normal.

Workaround:
The hai (还) character may be entered using its alternative
pronunication i.e. huan. 
  
Additional info:
Locales tested: en_US.utf8 zh_CN.utf8
Input using XIM/httx not tested.
Comment 1 Lawrence Lim 2004-08-26 23:16:28 EDT
This package has been deprecated. Please test with the latest package
iiimf-le-chinput.

Bug fixed in the latest package of iiimf-le-chinput-0.3-5. 

Note You need to log in before you can comment on or make changes to this bug.